Framework v4 BETA

Native Errors

Code Signing errors

Code Signing Error: Failed to create provisioning profile. The app ID “com.csform.ionic.yellow” cannot be registered to your development team. Change your bundle identifier to a unique string to try again. Code Signing Error: No profiles for ‘com.csform.ionic.yellow’ were found: Xcode couldn’t find any iOS App Development provisioning profiles matching ‘com.csform.ionic.yellow’. Code Signing Error: Code signing is required for product type ‘Application’ in SDK ‘iOS 11.1’

Running an app on an iOS device requires a provisioning profile. If a provisioning profile has not been created yet follow these directions:

  1. Set the Package ID.

    For Capacitor, open the capacitor.config.json file and modify the appId property.

    For Cordova, open the config.xml file and modify the id attribute of the root element, <widget>. See the Cordova documentation for more information.

  2. Open the project in Xcode.

    For Capacitor, run the following to open the app in Xcode:

    shell
     $ ionic capacitor open ios

    For Cordova, open Xcode. Use File » Open and locate the app. Open the app's platforms/ios directory.

  3. In Project navigator, select the project root to open the project editor. Under the Identity section, verify that the Package ID that was set matches the Bundle Identifier.

  4. In the same project editor, under the Signing section, ensure Automatically manage signing is enabled. Then, select a Development Team. Given a Development Team, Xcode will attempt to automatically prepare provisioning and signing.

Xcode build error 65

Error: Error code 65 for command: xcodebuild with args: -xcconfig,/Users/tdit0703/IdeaProjects/sc-dahenfeld/platforms/ios/cordova/build-debug.xcconfig,-workspace,SC Dahenfeld.xcworkspace,-scheme,SC Dahenfeld,-configuration,Debug,-sdk,iphonesimulator,-destination,platform=iOS Simulator,name=iPhone X,build,CONFIGURATION_BUILD_DIR=/Users/tdit0703/IdeaProjects/sc-dahenfeld/platforms/ios/build/emulator,SHARED_PRECOMPS_DIR=/Users/tdit0703/IdeaProjects/sc-dahenfeld/platforms/ios/build/sharedpch

This error is an error code from Xcode that can be caused by provisioning issues or outdated cordova dependencies. To fix this error first make sure a provisioning profile has been generated using the above instructions and then try to run the app from Xcode.

If this does not fix the error then run the following commands:

rm -rf node_modules
rm -rf platform
npm i
ionic cordova platform add ios
ionic cordova prepare ios
ionic cordova build ios --prod

Once these commands have been ran a fresh build can be done.

Clashing Google Play Services versions

Error: more than one library with package name com.google.android.gms

This error is caused by two seperate plugins trying to use different versions of the Google Play Services. To fix this issue make sure you are running cordova version 7.1.0 or higher and cordova-android 6.3.0 or higher. To update cordova run

shell
$ npm install [email protected]

and to update cordova-android run

shell
$ cordova platform update android

.

Plugins that depend on Google Play Services can now be updated to use the same version. For example, if pluginA uses version 11.0 and pluginB uses version 15.0 they can be updated to use the same verison with the following snippet in the config.xml file:

xml
<plugin name=”pluginA” spec=”npm”>
  <variable name=”PLAY_SERVICES_VERSION” value=”15.0.0" />
</plugin>
<plugin name=”pluginB” spec=”npm”>
  <variable name=”PLAY_SERVICES_VERSION” value=”15.0.0" />
</plugin>

Once these commands have been ran a fresh build can be done.